Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

CDP version required for auto-configuration?

For auto-configuration of Cisco switch ports, what version of CDP is required?  Can LLDP be used for medianet auto-configuration?

3 REPLIES
New Member

CDP version required for auto-configuration?

If SAMBA is used for UNIX connectivity

Cisco Employee

CDP version required for auto-configuration?

Hi Markus,

ASP provides event triggers for CDP, user-defined MAC-address groups, MAC authentication bypass (MAB)  messages, 802.1x authentication messages, and Link Layer Discovery  Protocol (LLDP) messages.

Auto Smartports uses the LLDP system capabilities TLV as the event trigger.

For CDP, both v1 and v2 can be used as the field used for device identification exist in v1 as well.

http://www.cisco.com/en/US/docs/switches/lan/auto_smartports/15.0_1_se/configuration/guide/concepts.html

Cisco Employee

CDP version required for auto-configuration?

To add to Aamer answer,

Both the system capabilities TLV (e.g. phone, router, switch, etc) and the platform TLV (e.g. Cisco IPVSC-2600) can be used to trigger Auto Smartports. The equivalent TLVs in LLDP can do the same.

To be complete you can either trigger pre-defined macros or custom ones based on those.

757
Views
5
Helpful
3
Replies